/*****************************************************************************/
/* ColorGC GCȿδ䤤碌ѤΥ饤֥                            */
/*****************************************************************************/

#ifndef _XHANABI_ColorGC_h_INCLUDED_
#define _XHANABI_ColorGC_h_INCLUDED_

typedef struct _ColorGCDatabase * ColorGCDatabase;
typedef struct _ColorGC * ColorGC;

#include <X11/Xlib.h>

#include "Disp.h"
#include "Obj.h"

/*===========================================================================*/
/* ColorGC Ϣ                                                              */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ֥Ȥ                                                        */
/*---------------------------------------------------------------------------*/

ColorGC ColorGC_Create(ColorGCDatabase database, XColor color);
ColorGC ColorGC_CreateFromColorGC(ColorGCDatabase database, ColorGC c);

/*---------------------------------------------------------------------------*/
/* RGB ͤ롥                                                      */
/*---------------------------------------------------------------------------*/

ColorGC ColorGC_CreateFromRGB(ColorGCDatabase database,
			      int red, int green, int blue);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

ColorGC ColorGC_Destroy(ColorGC color_gc);

/*===========================================================================*/
/* XHanabi ѤΡʸɤ߹Ѵؿ                                        */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* GCΥǡ١ name Ϳ줿̾ο򸡺롥            */
/*---------------------------------------------------------------------------*/

ColorGC ColorGC_CreateFromCharacters(ColorGCDatabase database, char * name,
				     char * background);

/*---------------------------------------------------------------------------*/
/* GC μ                                                                 */
/*---------------------------------------------------------------------------*/

GC ColorGC_GetGC(ColorGC color_gc);

/*---------------------------------------------------------------------------*/
/* 뤵μ                                                          */
/*---------------------------------------------------------------------------*/

int GetBrightness(XColor color);

/*===========================================================================*/
/* GC ΥꥹȤκ                                                         */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* GC ΥꥹȤκ                                                         */
/* ǡʸ󤫤 ColorGC ΥꥹȤ֤                         */
/* ǡʸΥեޥåȤϰʲΤȤꡥ                                */
/* "[ȥ顼1] [ɥ顼1] [Ĺ1] [ȥ顼2] ...\0"       */
/* ) "red green 10 green blue 20 blue none 10\0"                           */
/*---------------------------------------------------------------------------*/

ObjList CreateColorGCListFromCharacters(ColorGCDatabase database,
					char * data, char * background,
					int after_image_length, int fine);

/*===========================================================================*/
/* GC Υǡ١                                                         */
/*===========================================================================*/

ColorGCDatabase ColorGCDatabase_Create(Disp disp,
				       int studying_flag,
				       int cache_flag,
				       int cache_size,
				       int hash_number,
				       char * background,
				       int gradation);
ColorGCDatabase ColorGCDatabase_Destroy(ColorGCDatabase database);

#endif

/*****************************************************************************/
/* End of File                                                               */
/*****************************************************************************/
