#ifndef _XHANABI_Disp_h_INCLUDED_
#define _XHANABI_Disp_h_INCLUDED_

typedef struct _Disp * Disp; /* Disp 饹 */

#include <X11/Xlib.h>

Display * Disp_GetDisplay(Disp disp);
Window Disp_GetWindow(Disp disp);
Colormap Disp_GetColormap(Disp disp);
int Disp_GetWidth( Disp disp);
int Disp_GetHeight(Disp disp);

/*===========================================================================*/
/* μ                                                                  */
/*===========================================================================*/

unsigned long int Disp_GetPixel(Disp disp, char * color_name);

/*===========================================================================*/
/* ֥ȤȺ                                                  */
/*===========================================================================*/

/*---------------------------------------------------------------------------*/
/* ֥Ȥ                                                        */
/*---------------------------------------------------------------------------*/

Disp Disp_Create(char * display_name, char * background_color);

/*---------------------------------------------------------------------------*/
/* ֥Ȥκ                                                        */
/*---------------------------------------------------------------------------*/

Disp Disp_Destroy(Disp disp);

/*---------------------------------------------------------------------------*/
/* եå                                                                */
/*---------------------------------------------------------------------------*/

int Disp_Flush(Disp disp);

/*---------------------------------------------------------------------------*/
/* X ФȤ Sync(٥ȥ塼Ѵ)                             */
/*---------------------------------------------------------------------------*/

int Disp_Sync(Disp disp);

/*---------------------------------------------------------------------------*/
/* ǥץ쥤Υꥢ                                                      */
/*---------------------------------------------------------------------------*/

int Disp_Clear(Disp disp);

/*---------------------------------------------------------------------------*/
/* ߤ                                                                  */
/*---------------------------------------------------------------------------*/

int Disp_DrawFilledCircle(Disp disp, GC gc, int x, int y, int r);
int Disp_DrawFilledCircles(Disp disp, GC gc, XArc * arcs, int n);

/*****************************************************************************/
/* ޤ                                                                  */
/*****************************************************************************/

#endif /* _XHANABI_Disp_h_INCLUDED_ */

/*****************************************************************************/
/* End of File.                                                              */
/*****************************************************************************/
